[FUJITSU AMILO La1703, VT1708, playback] No sound at all

Bug #1225622 reported by emildiculescu@gmail.com on 2013-09-15
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
Unassigned

Bug Description

Description: Ubuntu 13.04
Release: 13.04

The on-board soundcard appears on sound configuration page and on alsa-mixer, all the channels have the volume at maximum but it doesn't play any sound.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: alsa-base 1.0.25+dfsg-0ubuntu4
ProcVersionSignature: Ubuntu 3.8.0-30.44-generic 3.8.13.6
Uname: Linux 3.8.0-30-generic x86_64
ApportVersion: 2.9.2-0ubuntu8.3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: emil 2203 F.... pulseaudio
Date: Sun Sep 15 11:45:59 2013
EcryptfsInUse: Yes
InstallationDate: Installed on 2013-03-15 (183 days ago)
InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130311.1)
MarkForUpload: True
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_AlsaPlaybackTest: ALSA playback test through plughw:VT82xx failed
Symptom_Card: VT8237A/VT8251 HDA Controller - HDA VIA VT82xx
Symptom_DevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: emil 2203 F.... pulseaudio
Symptom_Type: No sound at all
Title: [HDA-Intel - HDA VIA VT82xx, playback] No sound at all
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/02/2007
dmi.bios.vendor: Phoenix
dmi.bios.version: 8.2-0023-M007
dmi.board.name: E25
dmi.board.vendor: Inventec
dmi.board.version: Rev 01
dmi.chassis.asset.tag: User Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: FUJITSU SIEMENS
dmi.chassis.version: E25_____
dmi.modalias: dmi:bvnPhoenix:bvr8.2-0023-M007:bd08/02/2007:svnFUJITSUSIEMENS:pnAMILOLa1703:pvr1.0:rvnInventec:rnE25:rvrRev01:cvnFUJITSUSIEMENS:ct10:cvrE25_____:
dmi.product.name: AMILO La1703
dmi.product.version: 1.0
dmi.sys.vendor: FUJITSU SIEMENS

Raymond (superquad-vortex2) wrote :

how many audio jacks ?

autoconfig: line_outs=1 (0x1f/0x0/0x0/0x0/0x0) type:line
   speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
   hp_outs=1 (0x20/0x0/0x0/0x0/0x0)
   mono: mono_out=0x0
   inputs:
     Mic=0x1d

you may need to use hda-jack-retask to change node 0x1f from [Jack] Line Out at Int to [Fixed] Speaker at Int

Node 0x1f [Pin Complex] wcaps 0x40010d: Stereo Amp-Out
  Control: name="Front Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Control: name="Front Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Control: name="Speaker Phantom Jack", index=0, device=0
  Amp-Out caps: ofs=0x1b, nsteps=0x1b, stepsize=0x06, mute=1
  Amp-Out vals: [0x1b 0x1b]
  Pincap 0x0000001c: OUT HP Detect
  Pin Default 0x110140f0: [Jack] Line Out at Int Rear
    Conn = 1/8, Color = Green
    DefAssociation = 0xf, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Connection: 1
     0x17

Raymond (superquad-vortex2) wrote :

try hda-jack-sense-test to verify node 0x20 is HP jack and 0x1d is the mic jack by plug and unplug the hp and mic

you will need to find the internal mic from the remaining pin complexes [N/A] with pincap IN

summary: - [HDA-Intel - HDA VIA VT82xx, playback] No sound at all
+ [FUJITSU AMILO La1703, VT1708, playback] No sound at all
Download full text (3.8 KiB)

Hello and thank you for your help.

I have two jacks in front of the computer, one for headset and other for
microphone.
I tried to retask node 0x1f from Line Out to Internal speaker, but I got
the following error:

E: [pulseaudio] core-util.c: Home directory not accessible: Permission
denied
E: [pulseaudio] main.c: Unable to stop service: Success

I had to translate the second error, because it was in Romanian, I'm not
sure it 100% accurate.

Nodes 0x1d and 0x20 were already set to mic and hp

2013/9/15 Raymond <email address hidden>

> how many audio jacks ?
>
>
> autoconfig: line_outs=1 (0x1f/0x0/0x0/0x0/0x0) type:line
> speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
> hp_outs=1 (0x20/0x0/0x0/0x0/0x0)
> mono: mono_out=0x0
> inputs:
> Mic=0x1d
>
>
> you may need to use hda-jack-retask to change node 0x1f from [Jack] Line
> Out at Int to [Fixed] Speaker at Int
>
>
> Node 0x1f [Pin Complex] wcaps 0x40010d: Stereo Amp-Out
> Control: name="Front Playback Volume", index=0, device=0
> ControlAmp: chs=3, dir=Out, idx=0, ofs=0
> Control: name="Front Playback Switch", index=0, device=0
> ControlAmp: chs=3, dir=Out, idx=0, ofs=0
> Control: name="Speaker Phantom Jack", index=0, device=0
> Amp-Out caps: ofs=0x1b, nsteps=0x1b, stepsize=0x06, mute=1
> Amp-Out vals: [0x1b 0x1b]
> Pincap 0x0000001c: OUT HP Detect
> Pin Default 0x110140f0: [Jack] Line Out at Int Rear
> Conn = 1/8, Color = Green
> DefAssociation = 0xf, Sequence = 0x0
> Pin-ctls: 0x40: OUT
> Connection: 1
> 0x17
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1225622
>
> Title:
> [HDA-Intel - HDA VIA VT82xx, playback] No sound at all
>
> Status in “alsa-driver” package in Ubuntu:
> New
>
> Bug description:
> Description: Ubuntu 13.04
> Release: 13.04
>
> The on-board soundcard appears on sound configuration page and on
> alsa-mixer, all the channels have the volume at maximum but it doesn't
> play any sound.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu4
> ProcVersionSignature: Ubuntu 3.8.0-30.44-generic 3.8.13.6
> Uname: Linux 3.8.0-30-generic x86_64
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Date: Sun Sep 15 11:45:59 2013
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2013-03-15 (183 days ago)
> InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Alpha amd64
> (20130311.1)
> MarkForUpload: True
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:VT82xx failed
> Symptom_Card: VT8237A/VT8251 HDA Controller - HDA VIA VT82xx
> Symptom_DevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Symptom_Type: No sound at all
> Title: [HDA-Intel - HDA VIA VT82xx, playback] No sound at all
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 08/02/2007
> dmi.b...

Read more...

Download full text (4.2 KiB)

Now if I open hda-jack-retask it will show 0x1f as Internal speaker, but if
I use hda-jack-sense-test 0x1f still says Line Out, and the hp and mic are
not detected, even if they are plugged in.

2013/9/15 Emil Diculescu <email address hidden>

> Hello and thank you for your help.
>
> I have two jacks in front of the computer, one for headset and other for
> microphone.
> I tried to retask node 0x1f from Line Out to Internal speaker, but I got
> the following error:
>
> E: [pulseaudio] core-util.c: Home directory not accessible: Permission
> denied
> E: [pulseaudio] main.c: Unable to stop service: Success
>
> I had to translate the second error, because it was in Romanian, I'm not
> sure it 100% accurate.
>
> Nodes 0x1d and 0x20 were already set to mic and hp
>
>
>
> 2013/9/15 Raymond <email address hidden>
>
>> how many audio jacks ?
>>
>>
>> autoconfig: line_outs=1 (0x1f/0x0/0x0/0x0/0x0) type:line
>> speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
>> hp_outs=1 (0x20/0x0/0x0/0x0/0x0)
>> mono: mono_out=0x0
>> inputs:
>> Mic=0x1d
>>
>>
>> you may need to use hda-jack-retask to change node 0x1f from [Jack] Line
>> Out at Int to [Fixed] Speaker at Int
>>
>>
>> Node 0x1f [Pin Complex] wcaps 0x40010d: Stereo Amp-Out
>> Control: name="Front Playback Volume", index=0, device=0
>> ControlAmp: chs=3, dir=Out, idx=0, ofs=0
>> Control: name="Front Playback Switch", index=0, device=0
>> ControlAmp: chs=3, dir=Out, idx=0, ofs=0
>> Control: name="Speaker Phantom Jack", index=0, device=0
>> Amp-Out caps: ofs=0x1b, nsteps=0x1b, stepsize=0x06, mute=1
>> Amp-Out vals: [0x1b 0x1b]
>> Pincap 0x0000001c: OUT HP Detect
>> Pin Default 0x110140f0: [Jack] Line Out at Int Rear
>> Conn = 1/8, Color = Green
>> DefAssociation = 0xf, Sequence = 0x0
>> Pin-ctls: 0x40: OUT
>> Connection: 1
>> 0x17
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1225622
>>
>> Title:
>> [HDA-Intel - HDA VIA VT82xx, playback] No sound at all
>>
>> Status in “alsa-driver” package in Ubuntu:
>> New
>>
>> Bug description:
>> Description: Ubuntu 13.04
>> Release: 13.04
>>
>> The on-board soundcard appears on sound configuration page and on
>> alsa-mixer, all the channels have the volume at maximum but it doesn't
>> play any sound.
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 13.04
>> Package: alsa-base 1.0.25+dfsg-0ubuntu4
>> ProcVersionSignature: Ubuntu 3.8.0-30.44-generic 3.8.13.6
>> Uname: Linux 3.8.0-30-generic x86_64
>> ApportVersion: 2.9.2-0ubuntu8.3
>> Architecture: amd64
>> AudioDevicesInUse:
>> USER PID ACCESS COMMAND
>> /dev/snd/controlC0: emil 2203 F.... pulseaudio
>> Date: Sun Sep 15 11:45:59 2013
>> EcryptfsInUse: Yes
>> InstallationDate: Installed on 2013-03-15 (183 days ago)
>> InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Alpha amd64
>> (20130311.1)
>> MarkForUpload: True
>> PackageArchitecture: all
>> SourcePackage: alsa-driver
>> Symptom: audio
>> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:VT82xx
>> failed
>> Symptom_Card: VT8237A/VT8251 HDA C...

Read more...

Raymond (superquad-vortex2) wrote :

you need to set misc bit of pin default to indicate that there is no Jack detection circuit for the speaker

Pin Default 0x90170110: [Fixed] Speaker at Int N/A
    Conn = Analog, Color = Unknown
    DefAssociation = 0x1, Sequence = 0x0
    Misc = NO_PRESENCE

the driver should create "speaker phantom Jack"

Raymond (superquad-vortex2) wrote :

have you verify node 0x20 is HP by hda-jack-sense-test?

http://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda?id=1f2e99febd5dd0c91f0d0752674029a4376649e5

Simple mixer control 'Jack Detect',0
  Capabilities: pswitch pswitch-joined penum
  Playback channels: Mono
  Mono: Playback [on]

This is the output of hda-jack-sense-test:
Pin 0x1d (Pink Mic): present = No
Pin 0x1f (Green Line Out): present = No
Pin 0x20 (Green HP Out): present = No

With the other advices you gave me I'm a little bit lost...my knowledge of
linux is only as user and some terminal commands. I have found a file
card#0 in /proc/asound/card0 that contains the data I have to change, but I
can't edit the file.

2013/9/15 Raymond <email address hidden>

> have you verify node 0x20 is HP by hda-jack-sense-test?
>
>
>
> http://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda?id=1f2e99febd5dd0c91f0d0752674029a4376649e5
>
>
> Simple mixer control 'Jack Detect',0
> Capabilities: pswitch pswitch-joined penum
> Playback channels: Mono
> Mono: Playback [on]
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1225622
>
> Title:
> [FUJITSU AMILO La1703, VT1708, playback] No sound at all
>
> Status in “alsa-driver” package in Ubuntu:
> New
>
> Bug description:
> Description: Ubuntu 13.04
> Release: 13.04
>
> The on-board soundcard appears on sound configuration page and on
> alsa-mixer, all the channels have the volume at maximum but it doesn't
> play any sound.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu4
> ProcVersionSignature: Ubuntu 3.8.0-30.44-generic 3.8.13.6
> Uname: Linux 3.8.0-30-generic x86_64
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Date: Sun Sep 15 11:45:59 2013
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2013-03-15 (183 days ago)
> InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Alpha amd64
> (20130311.1)
> MarkForUpload: True
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:VT82xx failed
> Symptom_Card: VT8237A/VT8251 HDA Controller - HDA VIA VT82xx
> Symptom_DevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Symptom_Type: No sound at all
> Title: [HDA-Intel - HDA VIA VT82xx, playback] No sound at all
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 08/02/2007
> dmi.bios.vendor: Phoenix
> dmi.bios.version: 8.2-0023-M007
> dmi.board.name: E25
> dmi.board.vendor: Inventec
> dmi.board.version: Rev 01
> dmi.chassis.asset.tag: User Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: FUJITSU SIEMENS
> dmi.chassis.version: E25_____
> dmi.modalias:
> dmi:bvnPhoenix:bvr8.2-0023-M007:bd08/02/2007:svnFUJITSUSIEMENS:pnAMILOLa1703:pvr1.0:rvnInventec:rnE25:rvrRev01:cvnFUJITSUSIEMENS:ct10:cvrE25_____:
> dmi.product.name: AMILO La1703
> dmi.product.version: 1.0
> dmi.sys.vendor: FUJITSU SIEMENS
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1225622/+subscriptions
>

Download full text (37.6 KiB)

I installed the latest driver.

In hda-jack-retask 0x1f appears as Internal speaker

The output of alsa-info.sh is:

upload=true&script=true&cardinfo=
!!################################
!!ALSA Information Script v 0.4.62
!!################################

!!Script ran on: Sun Sep 15 14:32:38 UTC 2013

!!Linux Distribution
!!------------------

Ubuntu 13.04 \n \l DISTRIB_ID=Ubuntu DISTRIB_DESCRIPTION="Ubuntu 13.04"
NAME="Ubuntu" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu 13.04" HOME_URL="
http://www.ubuntu.com/" SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"

!!DMI Information
!!---------------

Manufacturer: FUJITSU SIEMENS
Product Name: AMILO La1703
Product Version: 1.0
Firmware Version: 8.2-0023-M007

!!Kernel Information
!!------------------

Kernel release: 3.8.0-30-generic
Operating System: GNU/Linux
Architecture: x86_64
Processor: x86_64
SMP Enabled: Yes

!!ALSA Version
!!------------

Driver version: k3.8.0-30-generic
Library version: 1.0.25
Utilities version: 1.0.25

!!Loaded ALSA modules
!!-------------------

snd_hda_intel

!!Sound Servers on this system
!!----------------------------

Pulseaudio:
      Installed - Yes (/usr/bin/pulseaudio)
      Running - Yes

!!Soundcards recognised by ALSA
!!-----------------------------

 0 [VT82xx ]: HDA-Intel - HDA VIA VT82xx
                      HDA VIA VT82xx at 0xd9000000 irq 17

!!PCI Soundcards installed in the system
!!--------------------------------------

04:01.0 Audio device: VIA Technologies, Inc. VT8237A/VT8251 HDA Controller
(rev 10)

!!Advanced information - PCI Vendor/Device/Subsystem ID's
!!-------------------------------------------------------

04:01.0 0403: 1106:3288 (rev 10)
Subsystem: 1734:10d9

!!Modprobe options (Sound related)
!!--------------------------------

snd_atiixp_modem: index=-2
snd_intel8x0m: index=-2
snd_via82xx_modem: index=-2
snd_usb_audio: index=-2
snd_usb_caiaq: index=-2
snd_usb_ua101: index=-2
snd_usb_us122l: index=-2
snd_usb_usx2y: index=-2
snd_cmipci: mpu_port=0x330 fm_port=0x388
snd_pcsp: index=-2
snd_usb_audio: index=-2
snd_hda_intel:
patch=hda-jack-retask.fw,hda-jack-retask.fw,hda-jack-retask.fw,hda-jack-retask.fw

!!Loaded sound module options
!!---------------------------

!!Module: snd_hda_intel
align_buffer_size : -1
bdl_pos_adj :
32,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
beep_mode : N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N
enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
enable_msi : -1
id :
(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
index :
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
jackpoll_ms :
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
model :
(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(n...

It doesn;t look like you followed this:
https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS

I did. I installed it with Ubuntu Software Center.

2013/9/16 Daniel Letzeisen <email address hidden>

> It doesn;t look like you followed this:
> https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1225622
>
> Title:
> [FUJITSU AMILO La1703, VT1708, playback] No sound at all
>
> Status in “alsa-driver” package in Ubuntu:
> New
>
> Bug description:
> Description: Ubuntu 13.04
> Release: 13.04
>
> The on-board soundcard appears on sound configuration page and on
> alsa-mixer, all the channels have the volume at maximum but it doesn't
> play any sound.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu4
> ProcVersionSignature: Ubuntu 3.8.0-30.44-generic 3.8.13.6
> Uname: Linux 3.8.0-30-generic x86_64
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Date: Sun Sep 15 11:45:59 2013
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2013-03-15 (183 days ago)
> InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Alpha amd64
> (20130311.1)
> MarkForUpload: True
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:VT82xx failed
> Symptom_Card: VT8237A/VT8251 HDA Controller - HDA VIA VT82xx
> Symptom_DevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Symptom_Type: No sound at all
> Title: [HDA-Intel - HDA VIA VT82xx, playback] No sound at all
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 08/02/2007
> dmi.bios.vendor: Phoenix
> dmi.bios.version: 8.2-0023-M007
> dmi.board.name: E25
> dmi.board.vendor: Inventec
> dmi.board.version: Rev 01
> dmi.chassis.asset.tag: User Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: FUJITSU SIEMENS
> dmi.chassis.version: E25_____
> dmi.modalias:
> dmi:bvnPhoenix:bvr8.2-0023-M007:bd08/02/2007:svnFUJITSUSIEMENS:pnAMILOLa1703:pvr1.0:rvnInventec:rnE25:rvrRev01:cvnFUJITSUSIEMENS:ct10:cvrE25_____:
> dmi.product.name: AMILO La1703
> dmi.product.version: 1.0
> dmi.sys.vendor: FUJITSU SIEMENS
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1225622/+subscriptions
>

Raymond (superquad-vortex2) wrote :

>This is the output of hda-jack-sense-test:
> Pin 0x1d (Pink Mic): present = No
 > Pin 0x1f (Green Line Out): present = No
 > Pin 0x20 (Green HP Out): present = No

did the result change to yes after you plug the headphone or Mic ?

Yes, it's showing correctly the plugged device.

2013/9/16 Raymond <email address hidden>

> >This is the output of hda-jack-sense-test:
> > Pin 0x1d (Pink Mic): present = No
> > Pin 0x1f (Green Line Out): present = No
> > Pin 0x20 (Green HP Out): present = No
>
> did the result change to yes after you plug the headphone or Mic ?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1225622
>
> Title:
> [FUJITSU AMILO La1703, VT1708, playback] No sound at all
>
> Status in “alsa-driver” package in Ubuntu:
> New
>
> Bug description:
> Description: Ubuntu 13.04
> Release: 13.04
>
> The on-board soundcard appears on sound configuration page and on
> alsa-mixer, all the channels have the volume at maximum but it doesn't
> play any sound.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu4
> ProcVersionSignature: Ubuntu 3.8.0-30.44-generic 3.8.13.6
> Uname: Linux 3.8.0-30-generic x86_64
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Date: Sun Sep 15 11:45:59 2013
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2013-03-15 (183 days ago)
> InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Alpha amd64
> (20130311.1)
> MarkForUpload: True
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:VT82xx failed
> Symptom_Card: VT8237A/VT8251 HDA Controller - HDA VIA VT82xx
> Symptom_DevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Symptom_Type: No sound at all
> Title: [HDA-Intel - HDA VIA VT82xx, playback] No sound at all
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 08/02/2007
> dmi.bios.vendor: Phoenix
> dmi.bios.version: 8.2-0023-M007
> dmi.board.name: E25
> dmi.board.vendor: Inventec
> dmi.board.version: Rev 01
> dmi.chassis.asset.tag: User Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: FUJITSU SIEMENS
> dmi.chassis.version: E25_____
> dmi.modalias:
> dmi:bvnPhoenix:bvr8.2-0023-M007:bd08/02/2007:svnFUJITSUSIEMENS:pnAMILOLa1703:pvr1.0:rvnInventec:rnE25:rvrRev01:cvnFUJITSUSIEMENS:ct10:cvrE25_____:
> dmi.product.name: AMILO La1703
> dmi.product.version: 1.0
> dmi.sys.vendor: FUJITSU SIEMENS
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1225622/+subscriptions
>

Raymond (superquad-vortex2) wrote :

since 0x17 is the analog mixer , if node 0x1d is ext mic jack , the possible node for the mic is 0x21 and line in is 0x1e

you need to retask node 0x17 to [Fixed] Mic at Int and MISC = NO_PRESENCE

Node 0x17 [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Control: name="PCM Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Control: name="PCM Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Control: name="Mic Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=2, ofs=0
  Control: name="Mic Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=2, ofs=0
  Amp-In caps: ofs=0x17, nsteps=0x1f, stepsize=0x06, mute=1
  Amp-In vals: [0x1f 0x1f] [0x80 0x80] [0x1f 0x1f] [0x80 0x80] [0x80 0x80] [0x80 0x80]
  Connection: 6
     0x10 0x24 0x1d 0x1e 0x21 0x13

Node 0x1d [Pin Complex] wcaps 0x400101: Stereo
  Control: name="Mic Phantom Jack", index=0, device=0
  Pincap 0x00000334: IN OUT Detect
    Vref caps: HIZ 50
  Pin Default 0x01a190f0: [Jack] Mic at Ext Rear
    Conn = 1/8, Color = Pink
    DefAssociation = 0xf, Sequence = 0x0
  Pin-ctls: 0x21: IN VREF_50
  Connection: 1
     0x1a
Node 0x1e [Pin Complex] wcaps 0x400101: Stereo
  Pincap 0x00000334: IN OUT Detect
    Vref caps: HIZ 50
  Pin Default 0x418130fe: [N/A] Line In at Ext Rear
    Conn = 1/8, Color = Blue
    DefAssociation = 0xf, Sequence = 0xe
  Pin-ctls: 0x00: VREF_HIZ
  Connection: 1
     0x19

Node 0x21 [Pin Complex] wcaps 0x400101: Stereo
  Pincap 0x00000334: IN OUT Detect
    Vref caps: HIZ 50
  Pin Default 0x42a190f0: [N/A] Mic at Ext Front
    Conn = 1/8, Color = Pink
    DefAssociation = 0xf, Sequence = 0x0
  Pin-ctls: 0x00: VREF_HIZ
  Connection: 1
     0x1b

Download full text (4.3 KiB)

I don't have an internal mic, only jack for external mic, do I still need
to change the settings?
And, if I have to retask, is it enough to use hda-jack-retask or do I have
to change settings somewhere else?

2013/9/16 Raymond <email address hidden>

> since 0x17 is the analog mixer , if node 0x1d is ext mic jack , the
> possible node for the mic is 0x21 and line in is 0x1e
>
> you need to retask node 0x17 to [Fixed] Mic at Int and MISC =
> NO_PRESENCE
>
> Node 0x17 [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
> Control: name="PCM Playback Volume", index=0, device=0
> ControlAmp: chs=3, dir=In, idx=0, ofs=0
> Control: name="PCM Playback Switch", index=0, device=0
> ControlAmp: chs=3, dir=In, idx=0, ofs=0
> Control: name="Mic Playback Volume", index=0, device=0
> ControlAmp: chs=3, dir=In, idx=2, ofs=0
> Control: name="Mic Playback Switch", index=0, device=0
> ControlAmp: chs=3, dir=In, idx=2, ofs=0
> Amp-In caps: ofs=0x17, nsteps=0x1f, stepsize=0x06, mute=1
> Amp-In vals: [0x1f 0x1f] [0x80 0x80] [0x1f 0x1f] [0x80 0x80] [0x80
> 0x80] [0x80 0x80]
> Connection: 6
> 0x10 0x24 0x1d 0x1e 0x21 0x13
>
> Node 0x1d [Pin Complex] wcaps 0x400101: Stereo
> Control: name="Mic Phantom Jack", index=0, device=0
> Pincap 0x00000334: IN OUT Detect
> Vref caps: HIZ 50
> Pin Default 0x01a190f0: [Jack] Mic at Ext Rear
> Conn = 1/8, Color = Pink
> DefAssociation = 0xf, Sequence = 0x0
> Pin-ctls: 0x21: IN VREF_50
> Connection: 1
> 0x1a
> Node 0x1e [Pin Complex] wcaps 0x400101: Stereo
> Pincap 0x00000334: IN OUT Detect
> Vref caps: HIZ 50
> Pin Default 0x418130fe: [N/A] Line In at Ext Rear
> Conn = 1/8, Color = Blue
> DefAssociation = 0xf, Sequence = 0xe
> Pin-ctls: 0x00: VREF_HIZ
> Connection: 1
> 0x19
>
> Node 0x21 [Pin Complex] wcaps 0x400101: Stereo
> Pincap 0x00000334: IN OUT Detect
> Vref caps: HIZ 50
> Pin Default 0x42a190f0: [N/A] Mic at Ext Front
> Conn = 1/8, Color = Pink
> DefAssociation = 0xf, Sequence = 0x0
> Pin-ctls: 0x00: VREF_HIZ
> Connection: 1
> 0x1b
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1225622
>
> Title:
> [FUJITSU AMILO La1703, VT1708, playback] No sound at all
>
> Status in “alsa-driver” package in Ubuntu:
> New
>
> Bug description:
> Description: Ubuntu 13.04
> Release: 13.04
>
> The on-board soundcard appears on sound configuration page and on
> alsa-mixer, all the channels have the volume at maximum but it doesn't
> play any sound.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu4
> ProcVersionSignature: Ubuntu 3.8.0-30.44-generic 3.8.13.6
> Uname: Linux 3.8.0-30-generic x86_64
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Date: Sun Sep 15 11:45:59 2013
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2013-03-15 (183 days ago)
> InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Alpha amd64
> (20130311.1)
> MarkForUpl...

Read more...

Raymond (superquad-vortex2) wrote :

do you mean that Amilo 1703 does not have any internal mic ?

No, it doesn't

2013/9/17 Raymond <email address hidden>

> do you mean that Amilo 1703 does not have any internal mic ?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1225622
>
> Title:
> [FUJITSU AMILO La1703, VT1708, playback] No sound at all
>
> Status in “alsa-driver” package in Ubuntu:
> New
>
> Bug description:
> Description: Ubuntu 13.04
> Release: 13.04
>
> The on-board soundcard appears on sound configuration page and on
> alsa-mixer, all the channels have the volume at maximum but it doesn't
> play any sound.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu4
> ProcVersionSignature: Ubuntu 3.8.0-30.44-generic 3.8.13.6
> Uname: Linux 3.8.0-30-generic x86_64
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Date: Sun Sep 15 11:45:59 2013
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2013-03-15 (183 days ago)
> InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Alpha amd64
> (20130311.1)
> MarkForUpload: True
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:VT82xx failed
> Symptom_Card: VT8237A/VT8251 HDA Controller - HDA VIA VT82xx
> Symptom_DevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Symptom_Type: No sound at all
> Title: [HDA-Intel - HDA VIA VT82xx, playback] No sound at all
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 08/02/2007
> dmi.bios.vendor: Phoenix
> dmi.bios.version: 8.2-0023-M007
> dmi.board.name: E25
> dmi.board.vendor: Inventec
> dmi.board.version: Rev 01
> dmi.chassis.asset.tag: User Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: FUJITSU SIEMENS
> dmi.chassis.version: E25_____
> dmi.modalias:
> dmi:bvnPhoenix:bvr8.2-0023-M007:bd08/02/2007:svnFUJITSUSIEMENS:pnAMILOLa1703:pvr1.0:rvnInventec:rnE25:rvrRev01:cvnFUJITSUSIEMENS:ct10:cvrE25_____:
> dmi.product.name: AMILO La1703
> dmi.product.version: 1.0
> dmi.sys.vendor: FUJITSU SIEMENS
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1225622/+subscriptions
>

Raymond (superquad-vortex2) wrote :

did the Jack sense test return yes for node 0x1d when you plugged the Mic jack ?

Node 0x1d [Pin Complex] wcaps 0x400101: Stereo
  Control: name="Mic Phantom Jack", index=0, device=0
  Pincap 0x00000334: IN OUT Detect
    Vref caps: HIZ 50
  Pin Default 0x01a190f0: [Jack] Mic at Ext Rear
    Conn = 1/8, Color = Pink
    DefAssociation = 0xf, Sequence = 0x0
  Pin-ctls: 0x21: IN VREF_50
  Connection: 1
     0x1a

  device.profile.description = "Stereo analog"
  device.description = "VT8237A/VT8251 HDA Controller Stereo analog"
  alsa.mixer_name = "VIA VT1708"
  alsa.components = "HDA:11061708,173410d9,00100700 HDA:10573055,10573055,00100700"
  module-udev-detect.discovered = "1"
  device.icon_name = "audio-card-pci"
 ports:
  analog-input-microphone: Microfon (priority 8700, latency offset 0 usec, available: unknown)
   properties:
    device.icon_name = "audio-input-microphone"
 active port: <analog-input-microphone>

Download full text (3.6 KiB)

Yes, it recognizes mic and hp when they are plugged. But for 0x1f still
says Green Line Out.

2013/9/17 Raymond <email address hidden>

> did the Jack sense test return yes for node 0x1d when you plugged the
> Mic jack ?
>
> Node 0x1d [Pin Complex] wcaps 0x400101: Stereo
> Control: name="Mic Phantom Jack", index=0, device=0
> Pincap 0x00000334: IN OUT Detect
> Vref caps: HIZ 50
> Pin Default 0x01a190f0: [Jack] Mic at Ext Rear
> Conn = 1/8, Color = Pink
> DefAssociation = 0xf, Sequence = 0x0
> Pin-ctls: 0x21: IN VREF_50
> Connection: 1
> 0x1a
>
>
> device.profile.description = "Stereo analog"
> device.description = "VT8237A/VT8251 HDA Controller Stereo
> analog"
> alsa.mixer_name = "VIA VT1708"
> alsa.components = "HDA:11061708,173410d9,00100700
> HDA:10573055,10573055,00100700"
> module-udev-detect.discovered = "1"
> device.icon_name = "audio-card-pci"
> ports:
> analog-input-microphone: Microfon (priority 8700, latency
> offset 0 usec, available: unknown)
> properties:
> device.icon_name = "audio-input-microphone"
> active port: <analog-input-microphone>
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1225622
>
> Title:
> [FUJITSU AMILO La1703, VT1708, playback] No sound at all
>
> Status in “alsa-driver” package in Ubuntu:
> New
>
> Bug description:
> Description: Ubuntu 13.04
> Release: 13.04
>
> The on-board soundcard appears on sound configuration page and on
> alsa-mixer, all the channels have the volume at maximum but it doesn't
> play any sound.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu4
> ProcVersionSignature: Ubuntu 3.8.0-30.44-generic 3.8.13.6
> Uname: Linux 3.8.0-30-generic x86_64
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Date: Sun Sep 15 11:45:59 2013
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2013-03-15 (183 days ago)
> InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Alpha amd64
> (20130311.1)
> MarkForUpload: True
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:VT82xx failed
> Symptom_Card: VT8237A/VT8251 HDA Controller - HDA VIA VT82xx
> Symptom_DevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Symptom_Type: No sound at all
> Title: [HDA-Intel - HDA VIA VT82xx, playback] No sound at all
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 08/02/2007
> dmi.bios.vendor: Phoenix
> dmi.bios.version: 8.2-0023-M007
> dmi.board.name: E25
> dmi.board.vendor: Inventec
> dmi.board.version: Rev 01
> dmi.chassis.asset.tag: User Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: FUJITSU SIEMENS
> ...

Read more...

Raymond (superquad-vortex2) wrote :

http://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/hda_jack.c?id=a9c74173f4be2a536ef8d8c88642e41527f2d8b4

you need to ask the author about the definition of is_jack_detectable function

the pincap of HP and mic pin of your vt1708 support AC_PINCAP_PRES_DETECT but widget cap does no suuport unsolicited event AC_WCAP_UNSOL_CAP

http://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_via.c?id=05dc0fc9d01537a66d9a0cffe2e96296d8f4c7ac

ask the author why Jack detect is not implemented for the Mic jack

http://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_via.c?id=f672f65a1c15b04e09d25701a8b5be47bad9376a

why Mic phantom Jack still create ?

https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS

are you using the latest alsa driver ?

 is_jack_detectable(struct hda_codec *codec, hda_nid_t nid)
+{
+ if (!(snd_hda_query_pin_caps(codec, nid) & AC_PINCAP_PRES_DETECT))
+ return false;
+ if (!codec->ignore_misc_bit &&
+ (get_defcfg_misc(snd_hda_codec_get_pincfg(codec, nid)) &
+ AC_DEFCFG_MISC_NO_PRESENCE))
+ return false;
+ if (!(get_wcaps(codec, nid) & AC_WCAP_UNSOL_CAP))
+ return false;
+ return true;
+}

Download full text (3.7 KiB)

I sent the questions.
I checked again, the driver is installed.

2013/9/18 Raymond <email address hidden>

>
> http://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/hda_jack.c?id=a9c74173f4be2a536ef8d8c88642e41527f2d8b4
>
> you need to ask the author about the definition of is_jack_detectable
> function
>
> the pincap of HP and mic pin of your vt1708 support
> AC_PINCAP_PRES_DETECT but widget cap does no suuport unsolicited event
> AC_WCAP_UNSOL_CAP
>
>
>
> http://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_via.c?id=05dc0fc9d01537a66d9a0cffe2e96296d8f4c7ac
>
>
> ask the author why Jack detect is not implemented for the Mic jack
>
>
>
> http://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_via.c?id=f672f65a1c15b04e09d25701a8b5be47bad9376a
>
>
> why Mic phantom Jack still create ?
>
> https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS
>
> are you using the latest alsa driver ?
>
>
> is_jack_detectable(struct hda_codec *codec, hda_nid_t nid)
> +{
> + if (!(snd_hda_query_pin_caps(codec, nid) & AC_PINCAP_PRES_DETECT))
> + return false;
> + if (!codec->ignore_misc_bit &&
> + (get_defcfg_misc(snd_hda_codec_get_pincfg(codec, nid)) &
> + AC_DEFCFG_MISC_NO_PRESENCE))
> + return false;
> + if (!(get_wcaps(codec, nid) & AC_WCAP_UNSOL_CAP))
> + return false;
> + return true;
> +}
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1225622
>
> Title:
> [FUJITSU AMILO La1703, VT1708, playback] No sound at all
>
> Status in “alsa-driver” package in Ubuntu:
> New
>
> Bug description:
> Description: Ubuntu 13.04
> Release: 13.04
>
> The on-board soundcard appears on sound configuration page and on
> alsa-mixer, all the channels have the volume at maximum but it doesn't
> play any sound.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu4
> ProcVersionSignature: Ubuntu 3.8.0-30.44-generic 3.8.13.6
> Uname: Linux 3.8.0-30-generic x86_64
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Date: Sun Sep 15 11:45:59 2013
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2013-03-15 (183 days ago)
> InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Alpha amd64
> (20130311.1)
> MarkForUpload: True
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:VT82xx failed
> Symptom_Card: VT8237A/VT8251 HDA Controller - HDA VIA VT82xx
> Symptom_DevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Symptom_Type: No sound at all
> Title: [HDA-Intel - HDA VIA VT82xx, playback] No sound at all
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 08/02/2007
> dmi.bios.vendor: Phoenix
> dmi.bios.version: 8.2-0023-M007
> dm...

Read more...

Raymond (superquad-vortex2) wrote :

Node 0x10 [Audio Output] wcaps 0x411: Stereo
  Device: name="VT1708 Analog", type="Audio", device=0
  Converter: stream=8, channel=0
  PCM:
    rates [0x7e0]: 44100 48000 88200 96000 176400 192000
    bits [0xa]: 16 24
    formats [0x1]: PCM

does the driver still support 24 or 32 bit ?

speaker-test -c2 -t sine -F S16_LE

speaker-test -c2 -t sine -F S24_LE

speaker-test -c2 -t sine -F S32_LE

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_via.c?id=bc9b56238eedda865070dcaed6694d65b517c8d6

[ALSA] hda - Fix noise on VT1708 codec
We get quite noisy output on the right channel on VT1708 codec when 24bit samples are used. Suppress the 24bit support until any real fix is found.

seem the limitation of playing 16 bits only seem removed by this patch ALSA: hda - Use generic parser for VIA codec driver

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_via.c?id=b3f6008f2d511133e0f04782c437a13b6865d26b

-static const struct hda_pcm_stream vt1708_pcm_analog_s16_playback = {
- .substreams = 1,
- .channels_min = 2,
- .channels_max = 8,
- /* NID is set in via_build_pcms */
- /* We got noisy outputs on the right channel on VT1708 when
- * 24bit samples are used. Until any workaround is found,
- * disable the 24bit format, so far.
- */
- .formats = SNDRV_PCM_FMTBIT_S16_LE,

Raymond (superquad-vortex2) wrote :

need to specify -D hw:0

 speaker-test -c2 -Dhw:0 -t sine -F S16_LE

 speaker-test -c2 -Dhw:0 -t sine -F S24_LE

 speaker-test -c2 -Dhw:0 -t sine -F S32_LE

David Henningsson (diwic) wrote :

Hi,

@Raymond, the jacks are not created as phantom because VT1708 uses jack polling instead of unsol events. See function vt1708_build_controls in patch_via.c

@Emil, are you having problems with both headphones and speaker, or is one of them working okay?

The headphones are working at a very, very low level. In the beginning I
thought they weren't working at all until I set the volume to maximum both
in the computer and the headset.

2013/9/18 David Henningsson <email address hidden>

> Hi,
>
> @Raymond, the jacks are not created as phantom because VT1708 uses jack
> polling instead of unsol events. See function vt1708_build_controls in
> patch_via.c
>
> @Emil, are you having problems with both headphones and speaker, or is
> one of them working okay?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1225622
>
> Title:
> [FUJITSU AMILO La1703, VT1708, playback] No sound at all
>
> Status in “alsa-driver” package in Ubuntu:
> New
>
> Bug description:
> Description: Ubuntu 13.04
> Release: 13.04
>
> The on-board soundcard appears on sound configuration page and on
> alsa-mixer, all the channels have the volume at maximum but it doesn't
> play any sound.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu4
> ProcVersionSignature: Ubuntu 3.8.0-30.44-generic 3.8.13.6
> Uname: Linux 3.8.0-30-generic x86_64
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Date: Sun Sep 15 11:45:59 2013
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2013-03-15 (183 days ago)
> InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Alpha amd64
> (20130311.1)
> MarkForUpload: True
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:VT82xx failed
> Symptom_Card: VT8237A/VT8251 HDA Controller - HDA VIA VT82xx
> Symptom_DevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: emil 2203 F.... pulseaudio
> Symptom_Type: No sound at all
> Title: [HDA-Intel - HDA VIA VT82xx, playback] No sound at all
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 08/02/2007
> dmi.bios.vendor: Phoenix
> dmi.bios.version: 8.2-0023-M007
> dmi.board.name: E25
> dmi.board.vendor: Inventec
> dmi.board.version: Rev 01
> dmi.chassis.asset.tag: User Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: FUJITSU SIEMENS
> dmi.chassis.version: E25_____
> dmi.modalias:
> dmi:bvnPhoenix:bvr8.2-0023-M007:bd08/02/2007:svnFUJITSUSIEMENS:pnAMILOLa1703:pvr1.0:rvnInventec:rnE25:rvrRev01:cvnFUJITSUSIEMENS:ct10:cvrE25_____:
> dmi.product.name: AMILO La1703
> dmi.product.version: 1.0
> dmi.sys.vendor: FUJITSU SIEMENS
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1225622/+subscriptions
>

Download full text (3.3 KiB)

After:
"speaker-test -c2 -Dhw:0 -t sine -F S16_LE

 speaker-test -c2 -Dhw:0 -t sine -F S24_LE

 speaker-test -c2 -Dhw:0 -t sine -F S32_LE"

For S16 the test seemed to something, but there was no sound in the speakers
For S24: "Format S24_LE is not supported..."
For S32: "Sample format not available for playback: Invalid argument
Setarea hwparams nu a reusit: Invalid argument"

2013/9/18 Emil Diculescu <email address hidden>

> The headphones are working at a very, very low level. In the beginning I
> thought they weren't working at all until I set the volume to maximum both
> in the computer and the headset.
>
>
> 2013/9/18 David Henningsson <email address hidden>
>
>> Hi,
>>
>> @Raymond, the jacks are not created as phantom because VT1708 uses jack
>> polling instead of unsol events. See function vt1708_build_controls in
>> patch_via.c
>>
>> @Emil, are you having problems with both headphones and speaker, or is
>> one of them working okay?
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1225622
>>
>> Title:
>> [FUJITSU AMILO La1703, VT1708, playback] No sound at all
>>
>> Status in “alsa-driver” package in Ubuntu:
>> New
>>
>> Bug description:
>> Description: Ubuntu 13.04
>> Release: 13.04
>>
>> The on-board soundcard appears on sound configuration page and on
>> alsa-mixer, all the channels have the volume at maximum but it doesn't
>> play any sound.
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 13.04
>> Package: alsa-base 1.0.25+dfsg-0ubuntu4
>> ProcVersionSignature: Ubuntu 3.8.0-30.44-generic 3.8.13.6
>> Uname: Linux 3.8.0-30-generic x86_64
>> ApportVersion: 2.9.2-0ubuntu8.3
>> Architecture: amd64
>> AudioDevicesInUse:
>> USER PID ACCESS COMMAND
>> /dev/snd/controlC0: emil 2203 F.... pulseaudio
>> Date: Sun Sep 15 11:45:59 2013
>> EcryptfsInUse: Yes
>> InstallationDate: Installed on 2013-03-15 (183 days ago)
>> InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Alpha amd64
>> (20130311.1)
>> MarkForUpload: True
>> PackageArchitecture: all
>> SourcePackage: alsa-driver
>> Symptom: audio
>> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:VT82xx
>> failed
>> Symptom_Card: VT8237A/VT8251 HDA Controller - HDA VIA VT82xx
>> Symptom_DevicesInUse:
>> USER PID ACCESS COMMAND
>> /dev/snd/controlC0: emil 2203 F.... pulseaudio
>> Symptom_Type: No sound at all
>> Title: [HDA-Intel - HDA VIA VT82xx, playback] No sound at all
>> UpgradeStatus: No upgrade log present (probably fresh install)
>> dmi.bios.date: 08/02/2007
>> dmi.bios.vendor: Phoenix
>> dmi.bios.version: 8.2-0023-M007
>> dmi.board.name: E25
>> dmi.board.vendor: Inventec
>> dmi.board.version: Rev 01
>> dmi.chassis.asset.tag: User Asset Tag
>> dmi.chassis.type: 10
>> dmi.chassis.vendor: FUJITSU SIEMENS
>> dmi.chassis.version: E25_____
>> dmi.modalias:
>> dmi:bvnPhoenix:bvr8.2-0023-M007:bd08/02/2007:svnFUJITSUSIEMENS:pnAMILOLa1703:pvr1.0:rvnInventec:rnE25:rvrRev01:cvnFUJITSUSIEMENS:ct10:cvrE25_____:
>> dmi.product.name: AMILO La1703
>> dmi.product.version: 1....

Read more...

I have the same laptop (Amilo La1703), and the same problem with Xubuntu 13.04 with 3.8 kernel. There is no sound from the internal speakers, only from the headphones. Sound was working fine in Ubuntu 12.04 with 3.2 kernel. I also have an Amilo Li1705 laptop which have exactly the same hardware except that it has an intel CPU. The Li1705 still have the 12.04 with 3.2 kernel and the sound is working fine. So I'm sure that this is a regression in the newer kernels.

First I tried switching audio output to speakers in pavucontrol. But whatever I choose there, speakers or headphones, the sound was always coming out from the headphones.

Then I found this bug, and tried hda-jack-sense-test. It didn't work, because always reported that nothing is plugged in.

Then I installed the latest alsa-drivers and tried hda-jack-sense-test again. Now it correctly reported whether the headphones or the mic was plugged in. But the sound still only comes from the headphones. Now after the installation of the latest alsa-drivers pavucontrol only shows "headphones" as a possible sound output port, the "speakers" port gone away.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
Raymond (superquad-vortex2) wrote :

if it work on 12.04 , try boot 12.04 live CD to obtain output of alsa-info.sh

did you perform pin fixup by hdajackretask to change line out to speaker with misc = no_presence

http://git.alsa-project.org/?p=alsa-tools.git;a=blob;f=hdajackretask/README;hb=HEAD

http://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/?id=eb33ccf7637c34b2c95dbcca8b2e4cab76a52949

:

I found a Live USB pendrive with 12.04 and 3.2 kernel, booted it up, but there was still no sound. So I thought maybe the previous version on this machine wasn't 12.04 but 11.10. So I booted up a 11.10 live CD and voilà, there was sound coming out from the internal speakers. I attached the alsa-info.sh outputs.

With the hda-jack-retask I don't really know what sould I do? What I did:

-checked "Advanced Override" in Options
-checked "Override" in "Green Line Out" (Pin id 0x1f) section and changed "Jack detection" from "Present" to "Not Present" and changed "Device" from "Line Out" to "Speaker"

These didn't help, still no sound from the speakers. Is this what you asked for?

Raymond (superquad-vortex2) wrote :

Simple mixer control 'Input Source',0
  Capabilities: cenum
  Items: 'Stereo Mixer' 'Mic'
  Item0: 'Mic'

did the Mic and internal Mic work ?

did you change line out to

Pin Default 0x90170110: [Fixed] Speaker at Int N/A
     Conn = Analog, Color = Unknown
     DefAssociation = 0x1, Sequence = 0x0
     Misc = NO_PRESENCE

You can try out your new configuration by clicking "Apply now". To make your new configuration the boot up default, click "Install boot override".

check /lib/firmware/hdajackretask.fw and /etc/modprobe.d/alsa-base.conf

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/plain/Documentation/sound/alsa/HD-Audio.txt

Doing any of these requires root privileges

sudo hdajackretask

you need to reboot

Node 0x1f [Pin Complex] wcaps 0x40010d: Stereo Amp-Out
  Control: name="PCM Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Control: name="PCM Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Control: name="Speaker Jack", index=0, device=0
  Amp-Out caps: ofs=0x1b, nsteps=0x1b, stepsize=0x06, mute=1
  Amp-Out vals: [0x1b 0x1b]
  Pincap 0x0000001c: OUT HP Detect
  Pin Default 0x110140f0: [Jack] Line Out at Int Rear
    Conn = 1/8, Color = Green
    DefAssociation = 0xf, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Connection: 1
     0x17

Raymond (superquad-vortex2) wrote :

For example, when you want to change the pin default configuration
value of the pin widget 0x1f to 0x90170110 , and let the driver
re-configure based on that state, run like below:
------------------------------------------------------------------------
  # echo 0x1f 0x90170110 > /sys/class/sound/hwC0D0/user_pin_configs
  # echo 1 > /sys/class/sound/hwC0D0/reconfig
------------------------------------------------------------------------

The external mic is working. The device doesn't have an internal mic.

------------------------------------------------------------------------
  # echo 0x1f 0x90170110 > /sys/class/sound/hwC0D0/user_pin_configs
  # echo 1 > /sys/class/sound/hwC0D0/reconfig
------------------------------------------------------------------------

Did them, but there is still no sound from the speakers.

Yes, I am using the latest drivers.

Vesa Isakov (vesa-isakov) wrote :

Hello Sandor,
I managed to get some sound out of my f-s amilo 1703's speaker.
Should be underlined that I'm not a linux neither a computer guru, no way, knowing nothing about programming and stuff like that, but succeed with amilo's sound configuration so that i have probably not a hi-fi stereo, but say ...sound .
In my case upgrading the kernel, playing with different module attributes, hda-snd-intel xxx yyy zzz, aplay etc. nothing helped. And rather hda-jack-retask messed pins and speakers even more, as for a beginner wiring in between pins and jacks resembles more a plate full of spaghetti. After some playing with hda-jack-retask my amilo has only headphones visible in pulseaudio, but the great but is that its internal speaker (the only one) works.
This is how I got it working, not so clear but loud at least; downloaded wget -O run.py http://www.alsa-project.org/hda-analyzer.py → kdesudo run.py, → Graph GUI visible → looking for nodes (on the left side of the pane) with something like EAPD, found a node (Node[0x26]) with magic letters EAPD, ticked EAPD on, likewise OUT and IN in Widget Control, and after 2...3 seconds my amilo's 1W amplifier is turned on.
So is the thing that since kernel 2.6xxx & alsa 1.00. xx programmers have decided that no one uses these old computers nowadays, and turned amplifier off by default (EAPD -settings?) as its not needed with modern sound chips? I remember that my amilo's sound was pretty good before upgrading to debian lenny and the latest kernels starting with 3.xxx.yyy. br vesa isakov

Raymond (superquad-vortex2) wrote :

if there is no internal mic and the mic jack support detection

add back the stereo mix as the capture source when mic is unplugged

you need pulseaudio regard stereo mix as input source

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_via.c?id=f1e762ddc8035f803d15f8c524151bf788482ec2

Raymond (superquad-vortex2) wrote :

Node 0x26 [Pin Complex] wcaps 0x400201: Stereo Digital
  Pincap 0x00010030: IN OUT EAPD
  EAPD 0x0:
  Pin Default 0x47c421f0: [N/A] SPDIF In at Ext Rear Panel
    Conn = RCA, Color = Grey
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x00:

>this is how I got it working, not so clear but loud at least; downloaded wget -O run.py http://www.alsa-project.org/hda-analyzer.py → kdesudo run.py, → Graph GUI visible → looking for nodes (on the left side of the pane) with something like EAPD, found a node (Node[0x26]) with magic letters EAPD, ticked EAPD on, l

you need to send email to the maintainer if EAPD of node 0x26 affect the speaker

This obviously does not help to resolve the bug, but I wonder if there is a way to make the above mentioned changes permanent or via command line without having to use the hda-analyzer GUI after every boot?

I just realized that the Exp-button in hda-analyzer does just what I was asking for.

Raymond (superquad-vortex2) wrote :

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/tree/Documentation/sound/alsa/HD-Audio.txt

you can use early patching

you have to send email to the author and the export of hda-analyzer and alsa-info to fix the driver if latest alsa driver still not work

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/log/?qt=grep&q=vt1708

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers